### Signal

# Qmi ClientLoc::get-engine-lock

since: 1.28

#### Declaration

    void
    get_engine_lock (
      QmiClientLoc* self,
      QmiIndicationLocGetEngineLockOutput* output,
      gpointer user_data
    )

#### Description [src]

The ::get-engine-lock signal gets emitted when a ‘Get Engine Lock‘ indication is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.28

#### Parameters

`output`

  Type: `QmiIndicationLocGetEngineLockOutput`

  A `QmiIndicationLocGetEngineLockOutput`.

  The data is owned by the caller of the function.